curl --request GET \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto/{boletoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto/{boletoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto/{boletoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"environment": "LIVE",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"barcode": "<string>",
"status": "REQUESTED",
"txnCurrency": "784",
"txnMaxAmount": 123,
"txnMinAmount": 123,
"txnOriginalAmount": 123,
"txnDiscountAmount": 123,
"txnFineAmount": 123,
"txnInterestAmount": 123,
"txnUpdatedAmount": 123,
"issuer": "<string>",
"payee": "<string>",
"payeeDocument": "<string>",
"payer": "<string>",
"payerDocument": "<string>",
"type": "GENERIC",
"external": {
"boletoId": "<string>"
},
"processingType": "INSTANT",
"receipt": {
"authentication": "<string>",
"authenticationApi": "<string>",
"receipt": "<string>"
},
"confirmedAt": "<string>",
"confirmedAmount": 123,
"confirmedBalanceCategory": "FLEX_NATIONAL",
"dueDate": "<string>",
"expiresAt": "<string>",
"canceledAt": "<string>",
"settlesAt": "<string>",
"refundedAt": "<string>",
"scheduledAt": "<string>",
"scheduledTimeZone": "<string>",
"scheduleId": "<string>",
"policyRequestId": "<string>",
"autoResolutionRequestedAt": "<string>",
"autoResolutionInFlightUntil": "<string>",
"approvalExpiresAt": "<string>",
"pendingConfirmation": {
"amount": 123,
"category": "FLEX_NATIONAL",
"description": "<string>"
},
"requester": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"customFields": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto/{boletoId}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
LIVE, TEST REQUESTED, PENDING_APPROVAL, CANCELLED, PAID, FAILED, REFUNDED, SCHEDULED, EXPIRED 784, 971, 008, 051, 973, 032, 036, 533, 944, 977, 052, 050, 048, 108, 060, 096, 068, 984, 986, 044, 064, 072, 933, 084, 124, 976, 947, 756, 948, 990, 152, 156, 170, 970, 188, 192, 132, 203, 262, 208, 214, 012, 818, 232, 230, 978, 242, 238, 826, 981, 936, 292, 270, 324, 320, 328, 344, 340, 332, 348, 360, 376, 356, 368, 364, 352, 388, 400, 392, 404, 417, 116, 174, 408, 410, 414, 136, 398, 418, 422, 144, 430, 426, 434, 504, 498, 969, 807, 104, 496, 446, 929, 480, 462, 454, 484, 979, 458, 943, 516, 566, 558, 578, 524, 554, 512, 590, 604, 598, 608, 586, 985, 600, 634, 946, 941, 643, 646, 682, 090, 690, 938, 752, 702, 654, 925, 706, 968, 728, 930, 222, 760, 748, 764, 972, 934, 788, 776, 949, 780, 901, 834, 980, 800, 840, 997, 940, 858, 927, 860, 926, 928, 704, 548, 882, 396, 950, 961, 959, 955, 956, 957, 958, 951, 532, 960, 952, 964, 953, 962, 994, 963, 965, 999, 886, 710, 967, 924 GENERIC, UTILITY_BILL Show child attributes
Show child attributes
INSTANT, DELAYED Show child attributes
Show child attributes
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL, BLOCKED, CASHBACK When a confirm first asked the policy engine to execute the matched auto-approving policy for this payment. Informational; once set, every later confirm of this payment is reconciled against that execution.
While set and in the future, a confirm is asking the policy engine to execute the matched auto-approving policy for this payment and a cancel is refused (409) until it lapses. Cleared once the payment is settled; it stays while the execution outcome is still uncertain.
The payment parameters stored on the payment: what will actually be paid. Set at creation (from the fields the initiating call provided), replaced by PUT .../{id}, and executed by a payload-less confirm/request. A stored set that is missing its category cannot be executed yet — confirm/request answer 422 PAYMENT_PARAMETERS_MISSING until a PUT completes it.
Show child attributes
Show child attributes
Who created this payment — the authenticated user at creation time. Absent on payments created before this field existed.
Show child attributes
Show child attributes
Show child attributes
Show child attributes